Subject: Re: [PATCH 2.6.33 1/3] net: Micrel KSZ8841/2 PCI Ethernet driver

From: Stephen Hemminger <[email-masked]>
Date: Tue, 19 Jan 2010 16:11:47 -0800

On Tue, 19 Jan 2010 15:48:50 -0800
"Ha, Tristram" <[email-masked]> wrote:

> Stephen Hemminger wrote:
> >> Now for the driver implementation for STP support.  I programmed the
> >> switch's static MAC table to always pass the following frames to the
> >> host: BPDU frames with specific multicast address, broadcast frames,
> >> unicast frames with the device bridge's MAC address, and multicast
> >> frames with ICMPv6 multicast address.  All other frames are not
> passed
> >> to the host and are handled by the switch, forwarding each frame with
> >> its standard forwarding logic.  The port can be shut off if it is
> >> blocked and those frames will not pass through that port.  The host
> >> gets BPDU frames so that the bridge can determine each port's state.
> >> The other broadcast, unicast, and multicast frames passed to the host
> >> are necessary if some other network devices want to communicate with
> >> the host.  As the forwarding is done by hardware rather than
> software,
> >> overall performance does increase.
> > 
> > What about LACP needed by bridging?
> > 
> 
> I am not aware of LACP and do not know how this protocol works under
> bridging.  If the requirement is certain multicast frames do not get
> forwarded and must pass to the host bridge, I can add those fixed
> multicast addresses.  The static MAC table has 8 entries, so there are 4
> more to use.

Anything 01:80:C2:00:00:00 should go local host.
LACP is part of 802.3ad bonding and uses 01:80:C2:00:02

In general anything to 01:80:C2:00:00:XX is likely to be
used by some IEEE 802 standard for link only multicast.